<?php
include_once(dirname(__FILE__) . '/../../../classes/PluginsClassiques.class.php');

class Commentairecmd extends PluginsClassiques {

	const MODULE = 'commentairecmd';

	public $id;
	public $commande;
	public $commentaire;

	public $table = 'commentairecmd';

	public $bddvars = array('id', 'commande', 'commentaire');

	public function __construct() {
		parent::__construct(self::MODULE);
	}

	public function init(){
		$this->query("
			CREATE TABLE `$this->table` (
				`id` INT NOT NULL AUTO_INCREMENT PRIMARY KEY ,
				`commande` TEXT NOT NULL ,
				`commentaire` TEXT NOT NULL
			)
		") or die('Echec en creation de la table $this->table');
	}

	public function charger($refcommande) {
		return $this->getVars("select * from $this->table where commande='$refcommande'");
	}

	public function charger_id($id) {
		return $this->getVars("select * from $this->table where id=".intval($id));
	}

	public function boucle($texte, $args) {

		$res = '';

		$commande = lireTag($args, 'commande');

		if ($this->charger($commande)) {

			$res = str_replace('#COMMENTAIRE', $this->commentaire, $texte);
		}

		return $res;
	}
}
?>